
#ifndef DECLARATIONS_H
#define DECLARATIONS_H

#include <unistd.h>
#include <gtk/gtk.h>
#include <gnome.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include <dirent.h>
#include <gdk/gdkkeysyms.h>

// This is the package name and version... hopefully will be there :o)
#include "../config.h"

#ifndef PACKAGE
#warning "Package name not defined!"
#endif

#ifndef VERSION
#warning "Package version not defined!"
#endif

#ifndef PREFIX
#warning "Prefix not defined!"
#endif

#define MAX_FILES 30

#define PIXMAP_DIR (PREFIX "/share/pixmaps")
#define LANG_DIR (PREFIX "/share/" PACKAGE "/languages")

#define LINE_LENGTH 1024

#define FLASH 0
#define ERROR 1
#define WARNING 2

#ifndef WITH_REGEX
#define WITH_REGEX
#endif
#include "properties.h"
#include "widgets/custom_widgets.h"
#include "../gtkextext/gtkextext.h"
#include "main.h"
#include "menus.h"
#include "toolbar.h"
#include "settings.h"
#include "getprefs.h"
#include "syntax_highlight.h"
#include "mdi_routines.h"
#include "file-io.h"
#include "edit.h"
#include "about.h"
#include "misc.h"
#include "dialogs.h"
#include "searches.h"
#include "insert.h"
#include "build.h"
#include "session.h"
#endif
