
#ifndef PROPERTIES_H
#define PEOPERTIES_H
struct _properties {
   gboolean over_ride;
   gboolean syntax;
   gboolean auto_indent;
   gboolean use_spaces;
   guint spaces;
   gchar *dir;
   gchar *compiler;
   gchar *debugger;
   gchar *execution;
};
typedef struct _properties Properties;

struct _props {
   GtkWidget *over_ride;
   GtkWidget *dir;
   GtkWidget *syntax;
   GtkWidget *auto_indent;
   GtkWidget *use_spaces;
   GtkWidget *spaces_spin;
   GtkWidget *compiler;
   GtkWidget *debugger;
   GtkWidget *execution;
   Properties *defaults;
   Properties *current;
   Properties *backups;
};
typedef struct _props FileProps;

void edit_properties(GtkWidget *widget, gpointer data);
void save_properties(GtkWidget *widget, FileProps *props);
void get_backup_props(GtkWidget *widget, FileProps *props);
void get_default_props(GtkWidget *widget, FileProps *props);
void redo_backup_props(GtkWidget *widget, FileProps *props);

void get_properties(FileProps *props, Properties *source);
void put_properties(FileProps *props, Properties *source);
void copy_properties(Properties *dest, Properties *source);
void kill_data(GtkWidget *widget, gpointer data);
void free_properties(GtkWidget *widget, Properties *props);
#endif