#ifndef SEARCHES_H_
#define SEARCHES_H_
void do_find(GtkWidget *widget, gpointer data);
void find_text(GtkWidget *widget, GnomeSearchDialog *search_dialog);
gboolean find_text_in_file(GtkExText *extext, gint start, gint end, gchar *search_string, gboolean case_sensitive, GtkExTextMatch *match);

void do_replace(GtkWidget *widget, gpointer data);
void find_text_replace(GtkWidget *widget, GnomeSearchDialog *search_dialog);
gboolean replace_text(GtkEditable *editable, gchar *replace_text);
void replace_all_text(GtkWidget *widget, GnomeSearchDialog *search_dialog);

void do_gotoline(GtkWidget *widget, gpointer data);
void find_line(GtkWidget *widget, gpointer data);

void do_manpage(GtkWidget *widget, gpointer data);

void set_find_text_from_selection(GnomeSearchDialog *sd);
GList *build_glist_from_file(gchar *filename, guint max);
void add_string_to_file(gchar *filename, const gchar *string);

gint get_selection_length(GtkEditable *editable);
gchar *get_selection_text(GtkEditable *editable);
gint get_entry_length(GtkEntry *entry);
gchar *get_entry_text(GtkEntry *entry);
#endif





