#include "declarations.h"

GtkWidget *command_box;
GtkWidget *main_toolbar;
GtkWidget *main_toolbar_new;
GtkWidget *main_toolbar_open;
GtkWidget *main_toolbar_close;
GtkWidget *main_toolbar_save;
GtkWidget *main_toolbar_saveas;
GtkWidget *main_toolbar_undo;
GtkWidget *main_toolbar_redo;
GtkWidget *main_toolbar_cut;
GtkWidget *main_toolbar_copy;
GtkWidget *main_toolbar_paste;

GtkWidget *filename_entry;

void make_toolbar()
{
   GtkWidget *pixmapwid;
   GtkWidget *label;
  
   main_toolbar = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
   gtk_toolbar_set_button_relief(GTK_TOOLBAR(main_toolbar), GTK_RELIEF_NONE);
   gtk_widget_show(main_toolbar);

   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_NEW, 21, 21);
   main_toolbar_new = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "New source file", 0, pixmapwid, GTK_SIGNAL_FUNC(new_file), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_OPEN, 21, 21);
   main_toolbar_open = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Open source file", 0, pixmapwid, GTK_SIGNAL_FUNC(open_file), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_CLOSE, 21, 21);
   main_toolbar_close = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Close source file", 0, pixmapwid, GTK_SIGNAL_FUNC(close_file), 0); 
   gtk_toolbar_append_space(GTK_TOOLBAR(main_toolbar));
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_SAVE, 21, 21);
   main_toolbar_save = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Save source file", 0, pixmapwid, GTK_SIGNAL_FUNC(save_file), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_SAVE_AS, 21, 21);
   main_toolbar_saveas = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Save source file with new name", 0, pixmapwid, GTK_SIGNAL_FUNC(save_file_as), 0); 
   gtk_toolbar_append_space(GTK_TOOLBAR(main_toolbar));
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_UNDO, 21, 21);
   main_toolbar_undo = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Undo last action", 0, pixmapwid, GTK_SIGNAL_FUNC(undo_last), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_REDO, 21, 21);
   main_toolbar_redo = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Redo last action", 0, pixmapwid, GTK_SIGNAL_FUNC(redo_last), 0); 
   gtk_toolbar_append_space(GTK_TOOLBAR(main_toolbar));
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_CUT, 21, 21);
   main_toolbar_cut = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Cut selected text", 0, pixmapwid, GTK_SIGNAL_FUNC(cut_text), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_COPY, 21, 21);
   main_toolbar_copy = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Copy selected text", 0, pixmapwid, GTK_SIGNAL_FUNC(copy_text), 0); 
   pixmapwid = gnome_stock_pixmap_widget_at_size(window, GNOME_STOCK_PIXMAP_PASTE, 21, 21);
   main_toolbar_paste = gtk_toolbar_append_item(GTK_TOOLBAR(main_toolbar), 0, "Paste text from clipboard", 0, pixmapwid, GTK_SIGNAL_FUNC(paste_text), 0); 


   gnome_app_set_toolbar(GNOME_APP(window), GTK_TOOLBAR(main_toolbar));

   command_box = gtk_hbox_new(FALSE, 0);
   gtk_container_set_border_width(GTK_CONTAINER(command_box), 3);
   gtk_widget_show(command_box);
   label = gtk_label_new("Command:");
   gtk_box_pack_start(GTK_BOX(command_box), label, FALSE, FALSE, 5); 
   gtk_widget_show(label);
   filename_entry = gtk_entry_new();
   gtk_widget_set_usize(filename_entry, 400, 23);
   gtk_box_pack_start(GTK_BOX(command_box), filename_entry, TRUE, TRUE, 5); 
   gtk_widget_show(filename_entry);
   gnome_app_add_docked(GNOME_APP(app), command_box, "Command Entry", 
                        GNOME_DOCK_ITEM_BEH_NORMAL, GNOME_DOCK_TOP,
                        3, 2, 0);
}