%define	name	CodeCommander
%define	version	0.4.4
%define	release	1
%define	prefix	/usr

Summary:	CodeCommander - Ultimate Programming IDE.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Text
URL:		http://CodeCommander.sourceforge.net/
Vendor:		Chris Phelps <chicane@reninet.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Code Commander is a simple text editing tool for editing nearly any
type of source code.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS"; export CXXFLAGS;
%configure --prefix=%{prefix}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO LanguageDefinitions
%{prefix}/bin/CodeCommander
%{prefix}/include/gtkextext.h
%{prefix}/share/CodeCommander
/usr/share/gnome/apps/Development/CodeCommander.desktop
/usr/share/pixmaps/code-commander.xpm

%changelog

