
#ifndef FILE_IO_H
#define FILE_IO_H
void new_window(GtkWidget *widget, gchar *filename);
void new_file(GtkWidget *widget, gpointer data);
void open_file(GtkWidget *widget, gpointer data);
void file_ok_sel(GtkWidget *widget, GnomeFileList *file_list);
void finish_file_ok_sel(GtkWidget *widget, gchar *filename);
void revert_current_file(GtkWidget *widget, gpointer data);
void save_file(GtkWidget *widget, gpointer data);
void save_file_as(GtkWidget *widget, gpointer data);
void save_as_file(GtkWidget *widget, GnomeFileList *file_list);
void finish_save_as_file(GtkWidget *widget, gchar *filename);
void save_all_files(GtkWidget *widget, gpointer data);
void close_file(GtkWidget *widget, gpointer data);
void close_file_ok(GtkWidget *widget, gpointer data);
void close_file_full(GtkWidget *widget, GdsFile *file);
void close_all_files(GtkWidget *widget, gpointer data);
void set_saved(GtkWidget *widget, gpointer data);

gboolean open_file_add_text(GtkWidget *text, gchar *filename);
gboolean check_if_file_exists(gchar *filename);
gboolean check_if_file_can_exist(gchar *filename);
gboolean check_if_read_only(gchar *filename, GdsFile *temp, gboolean set_ro, gboolean do_error);
void file_create(GtkWidget *widget, gchar *filename);
GList *build_file_list();

void setup_recent_files_list(gint max_files);
void build_recent_files_menu(GList *file_strings);
void recent_files_callback(GtkWidget *widget, gpointer data);
void add_file_to_recent_list(gchar *filename);
void kill_old_recent_menu();

extern gchar *last_dir;
extern GList *recent_files;
#endif