#ifndef MAIN_H
#define MAIN_H
void file_change(GtkWidget *widget, GdsFile *new_file);
void set_notebook_page(GtkNotebook *notebook, GtkNotebookPage *page, guint page_num, gpointer data);
void set_window_title();
void file_pos_changed(GtkWidget *widget, gint pos, gpointer data);
void adjust_sensitivity();
void directory_check();
void destroy(GtkWidget *widget, gpointer data);
void kill_widget(GtkWidget *widget, GtkWidget *killer);
void main_window_focused(GtkWidget *widget, gpointer data);
void pre_exit(GtkWidget *widget, gpointer data);
void try_exit(GtkWidget *widget, gpointer data);
GdsFile *get_nth_file_proper(gint number);
gint get_nth_file_number(GdsFile *gds_file);
void display_message(const gchar *text, gint type);

extern GtkWidget *app;
extern GtkWidget *window;
extern GtkWidget *appbar;
extern GtkWidget *whole_window_box;
extern GtkWidget *paned;
extern GtkWidget *edit_box;
extern GtkWidget *files_book;
extern GtkWidget *file_selector;
extern GtkWidget *menu_box;
extern GtkStyle *extext_style;
extern GtkAccelGroup *accel_group;
extern gint new_num;
extern gint cur_page;
extern gint total_files;
extern GList *files_list;
extern GdsFile *cur_file;
#endif